;(function() {

	function registerPlugins(callback) {
		if (window.ymjapp) {
			callback(ymjapp)
		} else {
			document.addEventListener('ymjappReady', function() {
				callback(ymjapp)
			}, false)
		}
	};
	
	/**
	注册plugin，app中可以注册多个plugin，每个plugin可以有多个方法，
	在网页上调用app的plugin的方法的js如下：
		ymjapp.loginManager.login({}, function(response) {
			alert("调用会员登录后得到响应："+JSON.stringify(response));
		});
	其中，ymjapp是固定的对象，表示也买酒的app，
		loginManager表示一个plugin，一个plugin可以有多个方法
		login 表示一个方法
	*/
	registerPlugins(function(ymjappBridge) {
		try{
			/**
			 * 注册一个plugin
			 */
			ymjappBridge.loginManager = {
				/**
				 * 登录功能
				 */
				login: function(jsonParam,callback){
					ymjappBridge.callHandler('loginManager.login',jsonParam,callback);
				},
				/**
				 * 退出登录功能
				 */
				logout: function(jsonParam,callback){
					ymjappBridge.callHandler('loginManager.logout',jsonParam,callback);
				}
			};
			
			ymjappBridge.appInfoManager={
			getVersion: function(jsonParam,callback){
					ymjappBridge.callHandler('appInfoManager.getVersion',jsonParam,callback);
				},
			getConnectType: function(jsonParam,callback){
					ymjappBridge.callHandler('appInfoManager.getConnectType',jsonParam,callback);
				},
		    getLocation: function(jsonParam,callback){
					ymjappBridge.callHandler('appInfoManager.getLocation',jsonParam,callback);
				},
			addEventListener: function(jsonParam,callback){
					ymjappBridge.callHandler('appInfoManager.addEventListener',jsonParam,callback);
				},
			share: function(jsonParam,callback){
					ymjappBridge.callHandler('appInfoManager.share',jsonParam,callback);
				},
			}
			
		}
		catch (e) {
			alert("注册plugin出错了"+e.stack);
		}
		
	})
	
	
	
})();


(function(){
	//JS端的初始化，就是当收到原生代码返回的消息后，再调用Js端的回调函数
	function connectWebViewJavascriptBridge(callback) {
		if (window.ymjapp) {
			callback(ymjapp)
		} else {
			document.addEventListener('ymjappReady', function() {
				callback(ymjapp)
			}, false)
		}
	}
	
	connectWebViewJavascriptBridge(function(bridge) {
		try{
			bridge.init(function(message, responseCallback) {
				responseCallback(data)
			})
		}
		catch (e) {
			//alert("出错了"+e.stack);
		}
	})
	
})()
